# $Revision: 1.23 $, $Date: 2004/05/07 00:35:13 $
#
# Conditional build:
%bcond_with	tests	# perform "make test" (uses network!)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Net
%define	pnam	RawIP
Summary:	Net::RawIP perl module
Summary(pl):	Modu perla Net::RawIP
Name:		perl-Net-RawIP
Version:	0.1
Release:	3
Epoch:		1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	85fd004d7c6de96fab86f65d14ce4f17
BuildRequires:	libpcap-devel
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libnet
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net::RawIP Perl extension to manipulate raw IP packets.

%description -l pl
Net::RawIP - wsparcie do manipulacji surowymi pakietami IP.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Net/RawIP.pm
%dir %{perl_vendorarch}/auto/Net/RawIP
%{perl_vendorarch}/auto/Net/RawIP/RawIP.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Net/RawIP/RawIP.so
%{perl_vendorarch}/auto/Net/RawIP/autosplit.ix
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Net-RawIP.spec,v $
Revision 1.23  2004/05/07 00:35:13  ankry
- rel. 3

Revision 1.22  2004/05/06 18:01:30  ankry
- fixed perl-devel BR

Revision 1.21  2004/04/26 23:05:37  ankry
- added tests, license fixes

Revision 1.20  2003/09/09 10:24:43  ankry
- spaces -> tab

Revision 1.19  2003/08/18 08:09:04  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/05/28 13:00:54  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:24:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.15  2003/03/01 20:21:50  radek
- should be ready for perl-5.8.0; release++

Revision 1.14  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.13  2003/02/21 10:13:16  ankry
- updated to 0.1
- Epoch: 1
- BR: libpcap-devel

Revision 1.12  2003/02/18 15:37:13  ankry
- massive attack: change CPAN URLs

Revision 1.11  2002/11/26 00:14:26  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.10  2002/07/10 08:48:12  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/04/11 14:16:10  qboosh
- fixed file list (unwanted dirs, wrong perms), release 4

Revision 1.7  2002/02/25 10:33:28  depesz
cleanup; revision++

Revision 1.6  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.5  2002/02/13 14:19:00  depesz
automatic: Source location unfied, Relase Up

Revision 1.4  2002/02/10 15:29:41  depesz
adapterized

Revision 1.3  2002/01/18 02:14:23  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.2  2002/01/17 01:53:29  kloczek
- cosmetics.

Revision 1.1  2002/01/17 00:14:33  undefine
- initial pld version.
